Este foro usa cookies
Este foro utiliza cookies para almacenar su información de inicio de sesión si está registrado y su última visita si no lo está. Las cookies son pequeños documentos de texto almacenados en su computadora; las cookies establecidas por este foro solo se pueden usar en este sitio web y no representan ningún riesgo de seguridad. Las cookies en este foro también rastrean los temas específicos que ha leído y la última vez que los leyó. Si Ud. continúa navegando, entenderemos que acepta todas las cookies.

Se almacenará una cookie en su navegador, independientemente de la elección, para evitar que se le vuelva a hacer esta pregunta. Podrá cambiar la configuración de sus cookies en cualquier momento utilizando el enlace en el pie de página.

El foro antiguo se encuentra accesible desde https://foro.gambas-es.org en modo de solo lectura.

Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5

Problemas al actualizar Gambas
#1

Hola Amigos, estoy usando Ubuntu 16.04 en 32 bits y al actualizar Gambas a la versión 3.17, no puedo entrar al IDE. Si lo llamo de linea de comandos me sale:
ERROR: #27: Cannot load component 'gb.form.htmlview': /usr/lib/gambas3/gb.form.htmlview.so: clase ELF errónea: ELFCLASS64

Actualice en otra maquina con Ubuntu 18.04 en 32bits y obtengo el mismo problema. En una tercera maquina en 64 bits anduvo bien.
No encontré ninguna mención a este problema en Internet y agradecería mucho si me pueden ayudar. Muchas Gracias!!!
    ¡Gracias!
#2

En la lista de correo de gambas recientemente han hablado del mismo problema. Al parecer, debido a algún error, se instalan librerías de 64 bits en un sistema de 32 bits. Algo anda mal en la PPA o quizás en la versión de Ubuntu tan antigua (creo que la 16.04 ya no tiene soporte oficial).

Mi consejo si puedes, es que actualices el sistema operativo y utilices uno de 64 bits. En caso de que no puedas por culpa del hardware, parece ser que si compilas el código fuente de gambas, la instalación resultante funciona correctamente.  Si necesitas ayuda para compilar gambas e instalarlo manualmente, puedes buscar en el foro o en el antiguo foro que es accesible desde la barra roja superior.

Saludos

Por favor, usa el corrector ortográfico antes de pulsar el botón 'Enviar'
[-] Los siguientes 1 usuarios dice gracias a jguardon por este post:
  • nburgues
    ¡Gracias!
#3

(27-03-2022, 22:56)jguardon escribió:  En la lista de correo de gambas recientemente han hablado del mismo problema.

https://lists.gambas-basic.org/pipermail...75700.html

"Los horizontes perdidos nunca regresan. " (F. Battiato, La stagione dell'amore, 1983)

"Las ondas nunca regresan. " (Genesis: Ripples - A trick of the tail, 1976)
[-] Los siguientes 1 usuarios dice gracias a vuott por este post:
  • nburgues
    ¡Gracias!
#4

Muchas gracias por sus respuestas, voy a tratar de compilar el código fuente, pasar a 64 bits no es una opción porque es un equipo de un cliente.
Después publicaré si lo pude solucionar. Gracias.
    ¡Gracias!
#5

Hola amigos, finalmente lo pude resolver quitando la libreria que causaba el error. Moví el archivo "/usr/lib/gambas3/gb.form.htmlview.so" a un temporal y ahora arranca Gambas en 32 bits.
[-] Los siguientes 3 usuarios dicen gracias a nburgues por este post:
  • jguardon, jsbsan, Shordi
    ¡Gracias!
#6

(27-03-2022, 22:18)nburgues escribió:  Hola Amigos, estoy usando Ubuntu 16.04 en 32 bits

¿ Aun usas una distro de 32 bits ?.  Te las tendrás que ver y desear. Sad

"El lobo siempre será malo si sólo escuchamos a Caperucita.". El lobo.
    ¡Gracias!


Posibles temas similares…
Tema / Autor Respuestas Vistas Último mensaje

Salto de foro:


Usuarios navegando en este tema: 2 invitado(s)